Package org.springframework.batch.core.launch.support

# Class SimpleJvmExitCodeMapper

java.lang.Object
org.springframework.batch.core.launch.support.SimpleJvmExitCodeMapper

All Implemented Interfaces:
  `ExitCodeMapper`

public class SimpleJvmExitCodeMapper extends Object implements ExitCodeMapper
An implementation of `ExitCodeMapper` that can be configured through a map from batch exit codes (String) to integer results. Some default entries are set up to recognise common cases. Any that are injected are added to these.

Author:
  Stijn Maller, Lucas Ward, Dave Syer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.commons.logging.Log`
  `logger`

  ### Fields inherited from interface org.springframework.batch.core.launch.support.ExitCodeMapper

  `JOB_NOT_PROVIDED, JVM_EXITCODE_COMPLETED, JVM_EXITCODE_GENERIC_ERROR, JVM_EXITCODE_JOB_ERROR, NO_SUCH_JOB`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleJvmExitCodeMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Integer>`
  `getMapping()`
  `int`
  `intValue(String exitCode)`
  Get the operating system exit status that matches a certain Batch Framework exit code
  `void`
  `setMapping(Map<String,Integer> exitCodeMap)`
  Supply the ExitCodeMappings

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logger

    protected org.apache.commons.logging.Log logger

- ## Constructor Details

  - ### SimpleJvmExitCodeMapper

    public SimpleJvmExitCodeMapper()

- ## Method Details

  - ### getMapping

    public Map<String,Integer> getMapping()

  - ### setMapping

    public void setMapping(Map<String,Integer> exitCodeMap)
    Supply the ExitCodeMappings
    Parameters:
      `exitCodeMap` - A set of mappings between environment specific exit codes and batch framework internal exit codes

  - ### intValue

    public int intValue(String exitCode)
    Get the operating system exit status that matches a certain Batch Framework exit code
    Specified by:
      `intValue` in interface `ExitCodeMapper`
    Parameters:
      `exitCode` - The exit code of the Batch Job as known by the Batch Framework
    Returns:
      The exitCode of the Batch Job as known by the JVM